import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name='nlp-data-py',
    version="0.0.8",
    author="Madhu TV",
    author_email="madhavi.tv@gmail.com",
    description="Create Test, Train and Validation datasets for NLP. "
                "Currently, creating these datasets from wikipedia is supported",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/madutv/nlp-data-py.git",
    packages=setuptools.find_packages(),
    install_requires=['numpy', 'wikipedia', 'pathlib'],
    entry_points={
        'console_scripts': [
            'wiki_dataset=nlp_data_py.dataset.command_line:wiki_dataset',
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
)
